import React from 'react';
import { Button, Breadcrumb  } from 'antd';
import { $Axios } from '../../common/publish';
import '../Layout/Layout.scss'
import CenterO from '../center-o/centerO.jsx'
import CenterW from '../center-w/centerW.jsx'
import CenterS from '../center-s/centerS.jsx'

export default class Layout extends React.Component {
    constructor(props) {
        super(props)
        this.state = {
            headTxt : '商户入网 > 商户基本信息',
            htmls : 1,
            initHtmls : 1,
            Params_o : {},
            Params_w : {},
            Params_S : {}
        }
        
    }
	
	componentDidMount() {
        
    }

    handleChange(value) {
        console.log(`Selected: ${value}`);
    }
    bindRef_o = ref => { this.CenterO = ref }
    bindRef_w = ref => { this.CenterW = ref }
    bindRef_s = ref => { this.CenterS = ref }
    // this.CenterW.childMethod().
    // this.CenterO.childMethod()
    // btnClick_1(e,n){
    //     console.log(e,'------------',n)
    //     let headTxt = '';
    //     if(e == 1){
    //         headTxt = '商户入网 > 商户基本信息'
    //         if( n == 1){   //第一个页面往第二个页面跳转回填数据
                
    //         }
    //     }else if(e == 2){
    //         headTxt = '商户入网 > 商户资质信息'
            
    //     }else if(e == 3){
    //         headTxt = '商户入网 > 结算信息'
    //     }
    //     this.setState({	
    //         htmls : e,
    //         headTxt : headTxt,
    //         initHtmls : n
    //     });
        
    // }

    btnClick_1(){
        console.log(this.Params_o)
        let headTxt = '商户入网 > 商户资质信息'
        let that_ = this;
        that_.CenterO.childMethod()  //第一页跳第二页保存第一页数据
        setTimeout(function(){
            that_.CenterW.childMethod()  //第一页跳第二页回填数据
        },500)
        this.setState({	
            headTxt : headTxt,
            htmls : 2,
        });
        
    }

    btnClick_2(){
        let headTxt = '商户入网 > 商户基本信息'
        let that_ = this;
        that_.CenterW.childMethod()  //第二页跳第一页保存第二页数据
        setTimeout(function(){
            that_.CenterO.childMethod()  //第二页跳第一页回填数据
        },500)
        
        this.setState({	
            headTxt : headTxt,
            htmls : 1,
        })
        
    }

    btnClick_3(){
        let headTxt = '商户入网 > 结算信息'
        let that_ = this;
        that_.CenterW.childMethod()  //第二页跳第三页保存第二页数据
        setTimeout(function(){
            that_.CenterS.childMethod()  //第二页跳第三页回填数据
        },500)
        this.setState({	
            headTxt : headTxt,
            htmls : 3,
        });
    }

    btnClick_4(){
        let headTxt = '商户入网 > 结算信息'
        let that_ = this;
        that_.CenterS.childMethod()  //第三页跳第二页保存第三页数据
        setTimeout(function(){
            that_.CenterW.childMethod()  //第三页跳第二页回填数据
        },500)
        
        this.setState({	
            headTxt : headTxt,
            htmls : 2,
        })
    }



    getParams_o = (result, msg) => {
        // console.log(msg)
        this.setState({
            Params_o: msg
        })
    }

    getParams_w = (result, msg) => {
        // console.log(msg)
        this.setState({
            Params_w: msg
        })
    }

    getParams_s = (result, msg) => {
        console.log(msg)
        this.setState({
            Params_S: msg
        })
    }
    initData(){
       
        let url = '/payment/merchant.declaration.groovy'
        let params = {
            operationType : 1, // ：1：CREATE创建即入网，2：MODIFY更新即修改(审核通过前)
            name : '融生天下',
            appName : '吕卓',
            parentAppName :　'融生天下' , //当前用户所属的上级商家或者商城
            merchantNo : '249',
            merchantType : '3',
            merchantInfo : {     //原首易信接口参数
                merchantId : '', //商户在首信易系统的唯一身份标识，商户完成首信易系统注册后可登录商户后台商户服务查看
                requestId : '', //订单号为商户自行拟定，提交的订单号必须在自身平台交易中唯一。商户平台不能以相同的订单号再次提交。
                operationType : 'CREATE', // ：1：CREATE创建即入网，2：MODIFY更新即修改(审核通过前)
                notifyUrl : '',//服务器通知：当订单状态发生变更后会向该地址发送五次通知，该地址可以带参数，如:“https://www.5upay.com/callback.action?test=test”.注意：如不填notifyUrl的参数值成功后您的服务器将得不到通知。
                extendedParameters : {//autoReview 是否跳过流程 TRUE 是， FALSE 否 sendActiveEmail 是否发送激活邮件 TRUE 是， FALSE 否 （这两项参数传递用”,”隔开，示例：autoReview:FALSE,sendActiveEmail:TRUE）
                    autoReview:false,sendActiveEmail:true
                }, 
                baseInfo : {//商户基本信息

                }, 

            }


        }
        $Axios('post',url,params,(res) => {
            
           
        })
    }
      


    render() {
        const { headTxt, htmls } = this.state;
        return(
            <div className='rootDom'>
               <div className='header_center'>
                   { headTxt }
               </div>
               <div className='main_center'>
                    <div className='center_ups'>
                        {htmls === 1 && (<CenterO arr={this.state.Params_o}  parent={ this }  onRef={this.bindRef_o}></CenterO>)}
                        {htmls === 2 && (<CenterW arr={this.state.Params_w}  parent={ this }  onRef={this.bindRef_w}></CenterW>)}
                        {htmls === 3 && (<CenterS arr={this.state.Params_S}  parent={ this }  onRef={this.bindRef_s}></CenterS>)}
                    </div>
                    <div className='center_bottom'>
                            {htmls === 1 && <Button className='btn btn_next' type="primary" onClick={() =>this.btnClick_1()} >下一步</Button>}
                            {htmls === 2 && <Button className='btn btn_xg' onClick={() =>this.btnClick_2()} >上一步</Button>}
                            {htmls === 2 && <Button className='btn btn_next' type="primary" onClick={() =>this.btnClick_3()} >下一步</Button>}
                            {htmls === 3 && <Button className='btn btn_xg' onClick={() =>this.btnClick_4()} >上一步</Button>}
                            {htmls === 3 && <Button className='btn btn_next' type="primary" onClick={() =>this.btnClick('ok')} >提交</Button>}
                    </div>
               </div>
            </div>
        )
    }
}